This URL moves the given hashes into allow list.
Resource URL
PUT /advancedmalware/blockedhashes/multipleHash/takeaction/allow
Request Parameters
URL Parameters: None
Payload Request Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| hashes | List of file hashes | StringList | Yes |
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| status | Status | Number |
Example
Request
PUT https://<NSM_IP>/sdkapi/advancedmalware/blockedhashes/multipleHash/takeaction/allow
Payload
{
"hashes": ["1aaaaaaaaaaaaaaaaaaaaaaaaaaaa16,
"1aaaaaaaaaaaaaaaaaaaaaaaaaaaa17",
"1aaaaaaaaaaaaaaaaaaaaaaaaaaaa18"]
}
Response
{
“status”:1
}
Error Information
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 400 | 4903 | Invalid action |
| 2 | 400 | 3401 | Invalid hash |